Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] (Jim Balter)

12 Feb 1997 16:40:26 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Shankar Unni <[email-masked]>
Original-CC: Jeremy Allison <[email-masked]>, [email-masked], [email-masked],
        [email-masked], [email-masked]
Original-Sender: [email-masked]

Shankar Unni wrote:
> 
> Jeremy Allison said:
> 
> > (1). Buy a license from Cygnus for Cygwin32 so that
> > you can ship the Cygwin32 code not under the GPL.
> >
> > or :
> >
> > (2). Your software comes under the terms of the GPL.
> 
> Hmm. This gives me a *really* bad feeling..
> 
> If you had put things under the *L*GPL, that's an entirely different matter.
> Some of us are not at liberty to release sources, because they are not
> ours to release.

But cygwin has been under the GPL all along, so it simply wasn't
appropriate for use commercially.  Now you have an option, of sorts.

> And if we have to *buy* Cygwin32 just in order to  be able
> to fulfil our source licensing agreements, we are left with the choice of
> paying for Cygwin32 or paying for *&@#$soft VC++. We already have a site
> license for the latter, so the answer for us becomes sort of obvious..
> 
> GNU has always been a dicey issue with company lawyers who are afraid of
> potential lawsuits (however unjustified), so they'll come down hard on any
> attempt to use GNU unless there's a compelling economic and technical
> advantage to using it over *@#&$soft.  Which there isn't any more, under
> the above terms..
> 
> If this is under *L*GPL, the answer is quite different, since the tradeoffs
> are somewhat more palatable. My feeling is that changing your terms to putting
> cygwin32 under the LGPL would bring you many more commercial customers, and
> you will benefit from this arrangement, too (I'm sure we'd have to make many
> fixes to cygwin32 on our own, and we would naturally be releasing them back
> to the community at large).
> 
> Please reconsider your licensing plans - you could be writing a poison pill
> into your product with these terms..

I frankly would be surprised if Cygnus gets many customers, and if
they do they are subjecting themselves to major support headaches.
I don't know if their executives realize just waht shape the library
is in.  The fact that they used the word "POSIX" in their press release,
thus opening themselves up to legal liabilities short of POSIX
certification (and they are *way* short) suggests that they haven't
a clue.

<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".